# Uses of Class
org.apache.sysds.parser.ConditionalPredicate

Packages that use ConditionalPredicate
Package
Description
org.apache.sysds.parser

## Uses of ConditionalPredicate in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return ConditionalPredicate
Modifier and Type
Method
Description
`ConditionalPredicate`
IfStatement.`getConditionalPredicate()`
`ConditionalPredicate`
WhileStatement.`getConditionalPredicate()`
Methods in org.apache.sysds.parser with parameters of type ConditionalPredicate
Modifier and Type
Method
Description
`void`
IfStatement.`setConditionalPredicate(ConditionalPredicate pred)`
`void`
WhileStatement.`setPredicate(ConditionalPredicate pred)`